Last modified: 2012-02-15 20:45:53 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 32210 - New edit emails should offer a single-diff link
New edit emails should offer a single-diff link
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Email (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: T. Gries
: easy, patch, patch-reviewed
Depends on:
Blocks: 1932
  Show dependency treegraph
 
Reported: 2011-11-04 20:40 UTC by Phillip Patriakeas
Modified: 2012-02-15 20:45 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch against trunk (1.00 KB, patch)
2012-01-10 23:44 UTC, MrBlueSky
Details

Description Phillip Patriakeas 2011-11-04 20:40:02 UTC
Currently, new edit notification emails offer links to view the edited article directly, to view all changes to the article from the first unviewed diff to the current version (diff=cur), and to unwatch the article. Generally, these links are more than enough, but there are situations where a link to only the first unviewed diff (diff=next) are far more useful. This can be done with the current links, but requires a bare minimum of three clicks (click the diff link in the email, then click "Older edit", then "Newer edit"), so a direct link would be a huge time saver.
Comment 1 T. Gries 2011-11-04 20:43:53 UTC
Hi, can you give an example please ?
Comment 2 Phillip Patriakeas 2011-11-04 22:17:32 UTC
Example of a current email:

>Dear Dinoguy1000,
>
>
>The Minecraft Wiki page Template talk:Entities has been changed on
>4 November 2011 by Soandso2, see
>http://www.minecraftwiki.net/wiki/Template_talk:Entities  for the current
>revision.
>
>See
>http://www.minecraftwiki.net/index.php?>title=Template_talk:Entities&diff=0&oldid=191510 
>for all changes since your last visit.

One possible way of adding a single-diff link:

>Dear Dinoguy1000,
>
>
>The Minecraft Wiki page Template talk:Entities has been changed on
>4 November 2011 by Soandso2, see
>http://www.minecraftwiki.net/wiki/Template_talk:Entities  for the current
>revision.
>
>See
>http://www.minecraftwiki.net/index.php?
>title=Template_talk:Entities&diff=next&oldid=191510
>for Soandso2's edit, or
>http://www.minecraftwiki.net/index.php?
>title=Template_talk:Entities&diff=0&oldid=191510
>for all changes since your last visit.

(if you were looking for something else when you asked for an example, please correct me and I'll try to get what you're after =) )
Comment 3 T. Gries 2011-11-04 22:37:38 UTC
Okay, I understand.

What you propose is to add the "diff-to-previous-revision" (*) also for "users". The current code forsees distinct mails for impersonal mail (sending the link you requested) and for personal mails (sending currently only the link to the "diff-to-the-last-seen-version"). In this case, you propose also to add the link (*).

A change is needed here ( /includes/UserMailer.php ):

572 	if ( $this->oldid ) {
573 	if ( $wgEnotifImpersonal ) {
574 	// For impersonal mail, show a diff link to the last revision.
575 	$keys['$NEWPAGE'] = wfMsgForContent( 'enotif_lastdiff',
576 	$this->title->getCanonicalUrl( 'diff=next&oldid=' . $this->oldid ) );
577 	} else {
578 	$keys['$NEWPAGE'] = wfMsgForContent( 'enotif_lastvisited',
579 	$this->title->getCanonicalUrl( 'diff=0&oldid=' . $this->oldid ) );
Comment 4 T. Gries 2011-11-04 22:38:48 UTC
see also set of enotif system message texts, which not everyone knows (these can easily be changed):


http://www.minecraftwiki.net/index.php?title=Special%3AAllMessages&prefix=enotif&filter=all&lang=en
Comment 5 Sumana Harihareswara 2011-11-04 22:52:46 UTC
This seems like it would be an easy fix, so I'm adding "easy".
Comment 6 Phillip Patriakeas 2011-11-05 00:06:38 UTC
(In reply to comment #4)
> see also set of enotif system message texts, which not everyone knows (these
> can easily be changed):
> 
> 
> http://www.minecraftwiki.net/index.php?title=Special%3AAllMessages&prefix=enotif&filter=all&lang=en

Yep, I'm aware that the emails can be customized to a limited extent with these messages, but AFAIK there is no way to add what I'm looking for just by editing interface messages (I've played around with it in the past on another wiki and couldn't get it to work); and it's not any one wiki I'm looking for this on, it's a general feature request. =)
Comment 7 MrBlueSky 2012-01-10 23:44:17 UTC
Created attachment 9837 [details]
Patch against trunk

Old behaviour:
* if $wgEnotifImpersonal: show link to diff which triggered the mail
* if !$wgEnotifImpersonal: show link to diff with all changes since the edit which triggered the mail

New behaviour:
* always show link to diff which triggered the mail
* if !$wgEnotifImpersonal: also show link to diff with all changes since the edit which triggered the mail
Comment 8 Platonides 2012-01-11 15:26:18 UTC
Looks good.
Comment 9 Sumana Harihareswara 2012-01-11 15:42:56 UTC
Platonides says it's good enough to commit.  MrBlueSky, can you ping us to commit it in February, once the current "code slush" is over?  Thanks!
Comment 10 Sumana Harihareswara 2012-01-12 23:38:03 UTC
Or, MrBlueSky, now that you have commit access, you can commit it yourself!  (Again, once the code slush is over.)  :-)
Comment 11 Siebrand Mazeland 2012-01-13 12:55:39 UTC
I'd like to raise awareness of the enotif tracking bug 1932. If someone following this issue has invested serious time in understanding the notification code, please consider looking into more open issues with e-mail notification.
Comment 12 T. Gries 2012-01-14 10:47:55 UTC
(In reply to comment #11)
> I'd like to raise awareness of the enotif tracking bug 1932. If someone
> following this issue has invested serious time in understanding the
> notification code, please consider looking into more open issues with e-mail
> notification.

Thanks for pining me. Yes, I do.
Comment 13 T. Gries 2012-01-14 10:48:17 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > I'd like to raise awareness of the enotif tracking bug 1932. If someone
> > following this issue has invested serious time in understanding the
> > notification code, please consider looking into more open issues with e-mail
> > notification.
> 
> Thanks for pining me. Yes, I do.

s/pining/pinging/
Comment 14 MrBlueSky 2012-02-15 20:45:53 UTC
Done with r111203

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links